---
id: nordichd
name: NORDiCHD
description: "NORDiCHD is a Mixed NORDIC Private Tracker for MOVIES / TV / GENERAL"
language: en-US
type: private
encoding: UTF-8
links:
  - https://nordichd.org/
legacylinks:
  - https://nordichd.sytes.net/
  - http://nordichd.sytes.net/
  - http://nordichd.org/
  - http://cinefilhd.eu/

caps:
  categorymappings:
    - {id: 1, cat: Movies, desc: "Movies"}
    - {id: 14, cat: Movies/SD, desc: "Movies SD"}
    - {id: 16, cat: Movies/SD, desc: "Movies Retro"}
    - {id: 17, cat: Movies/HD, desc: "Movies HD"}
    - {id: 31, cat: Movies/BluRay, desc: "Movies BDRip"}
    - {id: 32, cat: Movies/BluRay, desc: "Movies BluRay"}
    - {id: 33, cat: Movies, desc: "Movies Pack"}
    - {id: 38, cat: Movies/UHD, desc: "Movies 4k/2160p"}
    - {id: 6, cat: Movies, desc: "iNTERNAL"}
    - {id: 18, cat: Movies/SD, desc: "iNTERNAL SD"}
    - {id: 19, cat: Movies/SD, desc: "iNTERNAL Retro"}
    - {id: 34, cat: Movies/HD, desc: "iNTERNAL HD"}
    - {id: 35, cat: Movies/BluRay, desc: "iNTERNAL BDRip"}
    - {id: 36, cat: Movies/BluRay, desc: "iNTERNAL BluRay"}
    - {id: 37, cat: Movies, desc: "iNTERNAL Pack"}
    - {id: 39, cat: Movies/UHD, desc: "iNTERNAL 4k/2160p"}
    - {id: 2, cat: TV, desc: "TV Episodes"}
    - {id: 40, cat: Audio, desc: "Music"}
    - {id: 41, cat: Audio/MP3, desc: "Music MP3"}
    - {id: 42, cat: Audio/Lossless, desc: "Music Flac"}
    - {id: 43, cat: Audio, desc: "Music Pack"}
    - {id: 44, cat: Audio/Video, desc: "Music Video"}
    - {id: 3, cat: TV/SD, desc: "TV Episodes SD"}
    - {id: 4, cat: TV, desc: "TV Episodes Series"}
    - {id: 26, cat: TV/HD, desc: "TV Episodes HDTV Episodes"}
    - {id: 27, cat: TV/HD, desc: "TV Episodes HDTV Series"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: added
    options:
      added: created
      seeders: seeders
      size: size
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_results
    type: info
    label: Search results
    default: "If you are getting the error <b>Found no results while trying to browse this tracker</b> then first access the site with your browser and check that you are not being forced to change your password because it has expired after 180 days."

login:
  path: ?p=home&pid=1
  method: form
  form: form#sls_form
  submitpath: ajax/login.php
  inputs:
    action: login
    loginbox_membername: "{{ .Config.username }}"
    loginbox_password: "{{ .Config.password }}"
    loginbox_remember: 1
  selectorinputs:
    securitytoken:
      selector: "script:contains(\"stKey: \")"
      filters:
        - name: regexp
          args: "stKey: \"(.+?)\","
  error:
    - selector: div.error
    - selector: :contains("-ERROR-")
  test:
    path: ?p=home&pid=1
    selector: div#member_info_bar

search:
  paths:
    # 7 results per page, but fetching more pages when results < 7 returns duplicates from each additional page.
    - path: /
  inputs:
    p: torrents
    pid: 32
    $raw: "{{ range .Categories }}cid[]={{.}}&{{end}}"
    keywords: "{{ .Keywords }}"
    # name, description, both, uploader
    search_type: name
    "sortOptions[sortBy]": "{{ .Config.sort }}"
    "sortOptions[sortOrder]": "{{ .Config.type }}"
    # does not support imdbid search or have imdbid links in results.
  error:
    - selector: div.error:not(:contains("There are no results found."))

  rows:
    selector: "div.torrent-box[id^=\"torrent_\"]{{ if .Config.freeleech }}:has(img[src$=\"/torrent_free.png\"]){{ else }}{{ end }}"

  fields:
    category:
      selector: a[href*="?p=torrents&pid=10&cid="]
      attribute: href
      filters:
        - name: querystring
          args: cid
    title:
      selector: a[href*="?p=torrents&pid=10&action=details&tid="]
    details:
      selector: a[href*="?p=torrents&pid=10&action=details&tid="]
      attribute: href
    download:
      selector: a[href*="?p=torrents&pid=10&action=download&tid="]
      attribute: href
    poster:
      selector: a[href*="data/torrents/torrent_images/"]
      attribute: href
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    genre:
      selector: div.torrentDetails > div:has(a[href*="&genre="])
      filters:
        - name: replace
          args: ["Genre:", ""]
    description:
      text: "{{ .Result.genre }}"
    size:
      selector: a[rel="torrent_size"]
    grabs:
      selector: a[rel="times_completed"]
    seeders:
      selector: a[rel="torrent_seeders"]
    leechers:
      selector: a[rel="torrent_leechers"]
    date_day:
      selector: div.torrentOwner:contains("day")
      # auto adjusted by site account profile
      optional: true
      filters:
        - name: regexp
          args: "Uploaded (.+?) by"
        - name: fuzzytime
    date_year:
      selector: div.torrentOwner:contains("-")
      # auto adjusted by site account profile
      optional: true
      filters:
        - name: regexp
          args: "Uploaded (.+?) by"
        - name: dateparse
          args: "dd-MM-yyyy HH:mm"
    date_unix:
      selector: div.torrentOwner abbr
      optional: true
      attribute: data-time
    date:
      text: "{{ if or .Result.date_day .Result.date_year .Result.date_unix }}{{ or .Result.date_day .Result.date_year .Result.date_unix }}{{ else }}now{{ end }}"
    downloadvolumefactor:
      case:
        img[src$="/torrent_free.png"]: 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumratio:
      text: 1.0
# TSUE 2.2
